# $Id: Makefile.PL,v 1.1 2003/07/15 23:44:47 breser Exp $

use ExtUtils::MakeMaker;
#
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
#
# If any modules outside of the core perl distribution are required,
# these should be included as a PREREQ_PM entry in WriteMakefile below, 
# as indicated in the example. This example requires the modules 
# MOD1 and MOD2 to be installed, with minimal versions 1 and 5,
# respectively. If the version number is 0, any version is sufficient.
#
# As well, if you wish to force a minimal perl version to run the
# script, insert a line, for example,
#
#   require 5.004;
#
# below.

WriteMakefile(
    'NAME'	=> 'urpmc',
    'VERSION_FROM' => 'urpmc', # finds $VERSION
    'dist'  => { COMPRESS => 'bzip2 -9f', SUFFIX => 'bz2', POSTOP => 'gpg -b $(DISTVNAME).tar.bz2' },
    'EXE_FILES' => [ 'urpmc' ], # scripts to install
    'PREREQ_PM' => { 'strict' => 0, 'warnings' => 0, 'sigtrap' => 0, 'urpm' => 0,
		                 'URPM' => 0, 'Getopt::Long' => 0, 'Pod::Usage' => 0, 'packdrake' => 0,
									   'POSIX' => 0, 'File::Temp' => 0 },
);

