# $Id: urpmc.cooker.spec,v 1.3 2003/07/16 04:24:25 breser Exp $
%define name urpmc
%define version 1.2
%define release 1mdk

Name:		%{name}
Summary: 	User rpm change(s|log)
Version: 	%{version}
Release:	%{release}
Source: 	http://ben.reser.org/mandrake/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
URL: 		http://ben.reser.org/cvsweb/urpmc/
Group: 		System/Configuration/Packaging
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
License:	GPL
Requires:	perl >= 5.8

%description
urpmc will run urpmi.update on a media or medium, get the list of packages
that an auto-select would install, and show the changelogs of those packages
from the hdlist.

This program should be suitable for adding to a cronjob so you can see what
updates you need to install and why.  Especially useful for cooker developers
so they can see what changes they are installing, not just the package names.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
make PREFIX=%{prefix}

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 install
rm -rf $RPM_BUILD_ROOT/%{perl_sitearch}/perllocal.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README Changes COPYING
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}

%changelog
* Tue Jul 15 2003 Ben Reser <ben@reser.org> 1.2-1mdk
- Fix quoting of urpmi.update and urpmq commands so
  media with meta chars work (found by Hawkwind)
- Typos, formating, and general documentation cleanups.
- s/sources/media/; s/source/medium/; and get the plurals
  and signulars right on them. (trappist)
- Better error handling of synthesis media.
    
* Tue Jul 15 2003 Ben Reser <ben@reser.org> 1.1-1mdk
- Actually cleanup temp files.
- Handle hdlist and synthesis being out of sync better.
- Added spec files to the package
- make dist now uses bzip2 and produces the gpg deatched sig.

* Tue Jul 15 2003 Ben Reser <ben@reser.org> 1.0-1mdk
- Rebuild for cooker/different perl dependencies

* Tue Jul 15 2003 Ben Reser <ben@reser.org> 1.0-0.90mdk
- Initial release




